# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %nil

Name:		t-lasku
Version:	1.26.1
Release:	alt1_3
Summary:	Finnish invoicing software
Group:		Office
License:	BSD
URL:		http://helineva.net/t-lasku/
Source0:	http://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	http://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
Patch0:		t-lasku-build-flags.patch
ExclusiveArch:	%ix86 x86_64
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5PrintSupport)
Requires:	libqt5-sql
Source44: import.info

%description
T-lasku is a Finnish invoicing software for Linux.

%prep
%ifarch x86_64
%setup -q -T -b1
%patch0 -p1

%else
%setup -q -T -b0
%patch0 -p1

%endif

%build

%make_build

%install
%makeinstall_std

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.26.1-alt1_3
- update by mgaimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 1.26.1-alt1_2
- update by mgaimport

* Mon Nov 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.26.1-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.25.0-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.23.1-alt1_1
- new version

